import Dexie, { Table } from "dexie";
export interface IMomentLike {
    id: string;
    mid: string;
    uid: string;
    create_time: number;
}
declare class MomentLikes {
    momentLikesTable?: Table<any, IMomentLike>;
    init(db: Dexie): void;
    bulkAdd(momentLikes: IMomentLike[], delMomentIds?: string[]): Promise<never[] | IMomentLike | undefined>;
    bulkDelete(ids: string[]): Promise<number | undefined>;
    bulkGet(moments: string[]): Promise<any[] | undefined>;
    publishNC(momentLikes: IMomentLike[], delMomentIds?: string[]): void;
}
declare const MomentLikesModel: MomentLikes;
export default MomentLikesModel;
